ranges::v3::concepts::Container Struct Reference
Inheritance diagram for ranges::v3::concepts::Container:

## Public Member Functions

template<typename T , typename I = detail::movable_input_iterator<range_value_type_t<T>>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Constructible, uncvref_t< T >, I, I >()))
Public Member Functions inherited from ranges::v3::concepts::refines< SemiContainer >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< SemiContainer >
using | base_concepts_t = meta::list< Concepts... >